state("gv_win")
{
	int		loadingState	: 0xFD1E1C, 0x1E4;
	int		gameState		: 0x18FD720, 0x0, 0x0, 0x0, 0x0, 0x4AC;
	float	igt				: 0x18FD874;
}

init
{
	refreshRate = 30;
	vars.newGame = true;
	vars.scoreScreen = false;
}

update
{
	if ((current.gameState == 21 || current.gameState == 18) && current.loadingState == 1)
	{
		vars.newGame = true;
	}
	
	if (!vars.newGame && current.gameState == 13 && current.loadingState != 2)
	{
		vars.scoreScreen = true;
	}
	print("Current game state: " + current.gameState);
	print("Current loading state: " + current.loadingState);
	print("Score screen is: " + vars.scoreScreen);
}
	
start
{
	var result = vars.newGame && current.loadingState == 11;
	if (result)
	{
		vars.newGame = false;
	}
	
	return result;
}

isLoading
{
	return current.loadingState == 2 || old.igt == current.igt;
}

reset
{
	return current.loadingState != 2 && current.loadingState != 11 && current.loadingState != 14;
}

split
{
	var result = vars.scoreScreen && old.loadingState != 2 && current.loadingState == 2;
	if (result)
	{
		vars.scoreScreen = false;
	}
	
	return result;
}